Name:           anaconda-webui
Version:        9
Release:        1.20240619192526537338.pr312.116.g01f91d7%{?dist}
Summary:        Anaconda installer Web interface
License:        LGPL-2.1-or-later AND MIT
URL:            https://github.com/rhinstaller/%{name}

Source0:        anaconda-webui-9.116.g01f91d7.tar.xz
BuildArch:      noarch
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  gettext

%global anacondacorever 0

%if 0%{?fedora} >= 40
%global anacondacorever 40.22.2
%endif

%if 0%{?fedora} >= 41
%global anacondacorever 41.2
%endif

%global cockpitver 275
%global cockpitstorver 311

Requires: cockpit-storaged >= %{cockpitstorver}
Requires: cockpit-bridge >= %{cockpitver}
Requires: cockpit-ws >= %{cockpitver}
Requires: anaconda-core  >= %{anacondacorever}
# Firefox dependency needs to be specified there as cockpit web-view does not have a hard dependency on Firefox as
# it can often fall back to a diferent browser. This does not work in the limited installer
# environment, so we need to make sure Firefox is available. Exclude on RHEL, only Flatpak version will be there.
%if ! 0%{?rhel}
Requires: firefox
%endif
%if 0%{?fedora}
Requires: fedora-logos
%endif

Provides: bundled(npm(@patternfly/patternfly)) = 5.3.1
Provides: bundled(npm(@patternfly/react-core)) = 5.3.3
Provides: bundled(npm(@patternfly/react-icons)) = 5.3.2
Provides: bundled(npm(@patternfly/react-log-viewer)) = 5.2.0
Provides: bundled(npm(@patternfly/react-styles)) = 5.3.1
Provides: bundled(npm(@patternfly/react-table)) = 5.3.3
Provides: bundled(npm(@patternfly/react-tokens)) = 5.3.1
Provides: bundled(npm(attr-accept)) = 2.2.2
Provides: bundled(npm(file-selector)) = 0.6.0
Provides: bundled(npm(focus-trap)) = 7.5.2
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(memoize-one)) = 5.2.1
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-dom)) = 18.2.0
Provides: bundled(npm(react-dropzone)) = 14.2.3
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(react)) = 18.2.0
Provides: bundled(npm(scheduler)) = 0.23.2
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(throttle-debounce)) = 5.0.0
Provides: bundled(npm(tslib)) = 2.6.3

%description
Anaconda installer Web interface

%prep
%setup -q -n anaconda-webui

%build
# Nothing to build

%install
%make_install PREFIX=/usr
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%check
exit 0
# We have some integration tests, but those require running a VM, so that would
# be an overkill for RPM check script.

%files
%dir %{_datadir}/cockpit/anaconda-webui
%doc README.rst
%license LICENSE dist/index.js.LEGAL.txt
%{_datadir}/cockpit/anaconda-webui/logo.svg
%{_datadir}/cockpit/anaconda-webui/qr-code-feedback.svg
%{_datadir}/cockpit/anaconda-webui/index.js.LEGAL.txt
%{_datadir}/cockpit/anaconda-webui/index.html
%{_datadir}/cockpit/anaconda-webui/index.js.gz
%{_datadir}/cockpit/anaconda-webui/index.js.map
%{_datadir}/cockpit/anaconda-webui/index.css.gz
%{_datadir}/cockpit/anaconda-webui/index.css.map
%{_datadir}/cockpit/anaconda-webui/manifest.json
%{_datadir}/metainfo/org.cockpit-project.anaconda-webui.metainfo.xml
%{_datadir}/cockpit/anaconda-webui/po.*.js.gz
%dir %{_datadir}/anaconda/firefox-theme
%dir %{_datadir}/anaconda/firefox-theme/default
%dir %{_datadir}/anaconda/firefox-theme/default/chrome
%{_datadir}/anaconda/firefox-theme/default/user.js
%{_datadir}/anaconda/firefox-theme/default/chrome/userChrome.css
%dir %{_datadir}/anaconda/firefox-theme/live
%dir %{_datadir}/anaconda/firefox-theme/live/chrome
%{_datadir}/anaconda/firefox-theme/live/user.js
%{_datadir}/anaconda/firefox-theme/live/chrome/userChrome.css
%{_libexecdir}/webui-desktop


# The changelog is automatically generated and merged
%changelog
* Wed Jun 19 2024 Packit <hello@packit.dev> - 9-1.20240619192526537338.pr312.116.g01f91d7
- storage: reset the partitioning when mounting DiskEncryption (Katerina Koukiou)
- storage: use getNewPartitioning reusable method also for manual (Katerina Koukiou)
- storage: reset partitioning before loading the scenario selection (Katerina Koukiou)
- storage: reset the partitioning only if there is one applied (Katerina Koukiou)
- Disable 'Return to installation' in cockpit storage dialog when fetching device data (Katerina Koukiou)
- tests: fix race condition in scenario selection (Katerina Koukiou)
- Introduce some logic for knowing if devices are currently being fetched (Katerina Koukiou)
- Disable also navigation items when the form is disabled (Katerina Koukiou)
- storage: disable form before applying the partitioning (Katerina Koukiou)
- storage: remove unused isInProgress property (Katerina Koukiou)
- storage: set InitializationMode when creating the partitioning (Katerina Koukiou)
- storage: create partitioning in the automatic scenarios when leaving scenario selection (Katerina Koukiou)
- actions: handle UnknownDeviceErrors as these are harmless (Katerina Koukiou)
- actions: use modern async / await when reading device data (Katerina Koukiou)
- Do not filter steps manually as the isHidden property is handled internally (Katerina Koukiou)
- test: Reset the language at the start of each test (Marius Vollmer)
- Revert "tests: download cockpit-storaged from custom COPR till release 311" (Katerina Koukiou)
- Makefile: Update Cockpit lib to e46f7e022e13f2a984d25a3e189a5117 (Cockpit Project)
- po: Update from Fedora Weblate (GitHub Workflow)
- infra: bump @patternfly/react-log-viewer in the patternfly group (dependabot[bot])
- infra: bump the esbuild group with 2 updates (dependabot[bot])
- po: Update from Fedora Weblate (GitHub Workflow)
- infra: bump qunit from 2.19.0 to 2.21.0 (dependabot[bot])
- infra: bump sass from 1.77.2 to 1.77.4 (dependabot[bot])
- infra: bump stylelint from 16.6.0 to 16.6.1 in the stylelint group (dependabot[bot])
- Update pixels for Cockpit PR 20272 (Jelle van der Waa)
- Makefile: Update Cockpit lib to fe9a48e7962a5a423dc39e7853059318 (Cockpit Project)
- infra: bump stylelint from 16.5.0 to 16.6.0 in the stylelint group (dependabot[bot])
- infra: bump esbuild from 0.21.3 to 0.21.4 in the esbuild group (dependabot[bot])
- Makefile: Update Cockpit lib to 6bf8d112f5fe7cae9614cb5a1c586e33 (Cockpit Project)
- Move stepNotification to the AnacondaPage component (Katerina Koukiou)
- Update pixel test references (Katerina Koukiou)
- Show the storage layout in the review page for all scenarios (Katerina Koukiou)
- storage: create MANUAL partitioning after unlocking the devices (Katerina Koukiou)
- storage: split out the code for detection of possible partitioning reuse (Katerina Koukiou)
- storage: simplify logic for possibly reusing partitioning (Katerina Koukiou)
- po: Update from Fedora Weblate (GitHub Workflow)
- infra: bump sass from 1.76.0 to 1.77.2 (dependabot[bot])
- infra: bump the esbuild group across 1 directory with 2 updates (dependabot[bot])
- Makefile: Update Cockpit lib to 2e968f9835a7d18132df1d6c0bda5715 (Cockpit Project)
- po: Update from Fedora Weblate (GitHub Workflow)
- Makefile: Update Cockpit lib to 46fe9f5ff45aff4e807dd24340466b69 (Cockpit Project)
- tests: update pixel test reference images (Katerina Koukiou)
- review: show hostname and configuration option in server variant (Adam Kaňkovský)
- review: organize groups and seperate with gutter (Katerina Koukiou)
- po: Update from Fedora Weblate (GitHub Workflow)
- infra: bump sass from 1.75.0 to 1.76.0 (dependabot[bot])
- infra: bump the patternfly group with 3 updates (dependabot[bot])
- infra: bump stylelint from 16.4.0 to 16.5.0 in the stylelint group (dependabot[bot])
- Makefile: Update Cockpit lib to 03d7067e47bd6bea6dde7025bfd52ce0 (Cockpit Project)
- po: Update from Fedora Weblate (GitHub Workflow)
- infra: bump the patternfly group with 2 updates (dependabot[bot])
- infra: bump stylelint from 16.3.1 to 16.4.0 in the stylelint group (dependabot[bot])
- po: Update from Fedora Weblate (GitHub Workflow)
- infra: bump the patternfly group with 3 updates (dependabot[bot])
- Makefile: Update Cockpit lib to 5516784bc7aba7c6fb02d19c57afc4de (Cockpit Project)
- po: Update from Fedora Weblate (GitHub Workflow)
- tests: ignore pixel area showing the exact disk size the installation needs (Katerina Koukiou)
- infra: bump sass from 1.74.1 to 1.75.0 (dependabot[bot])
- Makefile: Update Cockpit lib to 3ec539a4e0f78dab6ef77f88aa717d4d (Cockpit Project)
- storage: cockpit-integration: do not overwrite request object structure - only extend it (Katerina Koukiou)
- tests: switch testEncryptedUnlockRAIDonLUKS to non-destructive (Katerina Koukiou)
- storage: helpers: fix the calculation of device children (Katerina Koukiou)
- apis: Read storage-scenario-id from sessionStorage where it's stored (Katerina Koukiou)
- po: Update from Fedora Weblate (GitHub Workflow)
- infra: bump sass from 1.72.0 to 1.74.1 (dependabot[bot])
- infra: bump stylelint-config-standard-scss in the stylelint group (dependabot[bot])
